import os
from dotenv import load_dotenv

load_dotenv()

debug = os.getenv("DEBUG")
host = os.getenv("HOST")
port = int(os.getenv("PORT"))

robot_control_server_url = os.getenv("ROBOT_CONTROL_SERVER_URL")
robot_id = os.getenv("ROBOT_ID")
robot_type = int(os.getenv("ROBOT_TYPE"))
robot_firmware_version = os.getenv("ROBOT_FIRMWARE_VERSION")

joint1_length = int(os.getenv("JOINT1_LENGTH"))
joint2_length = int(os.getenv("JOINT2_LENGTH"))

usb_camera_device = int(os.getenv("USB_CAMERA_DEVICE"))
