import logging
import uvicorn

# OUR MODULES
import robot.config as config
import robot.server as server
import robot.robot as robot


if __name__ == '__main__':
    logging.basicConfig(level=logging.DEBUG if config.debug ==
                        "true" else logging.INFO)

    robot.InitRobot()

    uvicorn.run(server.app, host=config.host, port=config.port)
